# Uses of Class
org.apache.sysds.hops.fedplanner.FederatedMemoTable.FedPlan

Packages that use FederatedMemoTable.FedPlan
Package
Description
org.apache.sysds.hops.fedplanner

## Uses of FederatedMemoTable.FedPlan in org.apache.sysds.hops.fedplanner

Methods in org.apache.sysds.hops.fedplanner that return FederatedMemoTable.FedPlan
Modifier and Type
Method
Description
`static FederatedMemoTable.FedPlan`
FederatedPlanCostEnumerator.`enumerateFunctionDynamic(FunctionStatementBlock function, FederatedMemoTable memoTable, boolean isPrint)`
`static FederatedMemoTable.FedPlan`
FederatedPlanCostEnumerator.`enumerateProgram(DMLProgram prog, FederatedMemoTable memoTable, boolean isPrint)`
Enumerates the entire DML program to generate federated execution plans.
`FederatedMemoTable.FedPlan`
FederatedMemoTable.`getFedPlanAfterPrune(long hopID, FEDInstruction.FederatedOutput federatedOutput)`
`FederatedMemoTable.FedPlan`
FederatedMemoTable.`getFedPlanAfterPrune(org.apache.commons.lang3.tuple.Pair<Long,FEDInstruction.FederatedOutput> fedPlanPair)`
Methods in org.apache.sysds.hops.fedplanner that return types with arguments of type FederatedMemoTable.FedPlan
Modifier and Type
Method
Description
`List<FederatedMemoTable.FedPlan>`
FederatedMemoTable.FedPlanVariants.`getFedPlanVariants()`
`static LinkedHashMap<FederatedMemoTable.FedPlan,Boolean>`
FederatedPlanCostEstimator.`resolveConflictFedPlan(FederatedMemoTable memoTable, LinkedHashMap<Long,List<FederatedMemoTable.FedPlan>> conflictFedPlanLinkedMap, double[] cumulativeAdditionalCost)`
Resolves conflicts in federated plans where different plans have different FederatedOutput types.
Methods in org.apache.sysds.hops.fedplanner with parameters of type FederatedMemoTable.FedPlan
Modifier and Type
Method
Description
`void`
FederatedMemoTable.FedPlanVariants.`addFedPlan(FederatedMemoTable.FedPlan fedPlan)`
`static void`
FederatedPlannerLogger.`logNullChildPlanDebug(org.apache.commons.lang3.tuple.Pair<Long,FEDInstruction.FederatedOutput> childFedPlanPair, FederatedMemoTable.FedPlan optimalPlan, FederatedMemoTable memoTable)`
Logs detailed null child plan debugging information
`static void`
FederatedMemoTablePrinter.`printFedPlanTree(FederatedMemoTable.FedPlan rootFedPlan, Set<Hop> rootHopStatSet, FederatedMemoTable memoTable, double additionalTotalCost)`
Recursively prints a tree representation of the DAG starting from the given root FedPlan.
`static void`
FederatedPlannerLogger.`printFedPlanTree(FederatedMemoTable.FedPlan rootFedPlan, Set<Long> rootHopStatSet, FederatedMemoTable memoTable, double additionalTotalCost)`
Recursively prints a tree representation of the DAG starting from the given root FedPlan.
Method parameters in org.apache.sysds.hops.fedplanner with type arguments of type FederatedMemoTable.FedPlan
Modifier and Type
Method
Description
`static LinkedHashMap<FederatedMemoTable.FedPlan,Boolean>`
FederatedPlanCostEstimator.`resolveConflictFedPlan(FederatedMemoTable memoTable, LinkedHashMap<Long,List<FederatedMemoTable.FedPlan>> conflictFedPlanLinkedMap, double[] cumulativeAdditionalCost)`
Resolves conflicts in federated plans where different plans have different FederatedOutput types.